classification
Title: Generate from Unicode database instead of manualy coding.
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Generate numeric/space/linebreak from Unicode database.
View: 1571184
Assigned To: loewis Nosy List: andersch, flox, lemburg, loewis
Priority: normal Keywords: patch

Created on 2006-06-01 15:21 by andersch, last changed 2010-04-01 11:58 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
Unicodedata.patch andersch, 2006-06-01 15:21 Generate functions instead of manualy update them.
isspace.patch andersch, 2006-06-21 11:18 Update unicode.isspace().
Messages (4)
msg50405 - (view) Author: Anders Chrigström (andersch) Date: 2006-06-01 15:21
This patch makes _PyUnicode_IsLinebreak,
_PyUnicode_ToNumeric and _PyUnicode_IsWhitespace
generated from the Unicode database instead of being
subject to manual updates. This ought to ease the
transition to Unicode version 5.0.0.

Allso, the definitions of whitespaces has changed
between v3.2 and v4.1 so the test had to be updated.

msg50406 - (view) Author: Anders Chrigström (andersch) Date: 2006-06-21 11:18
Logged In: YES 
user_id=621306

With the beta1 out the door I thought We might rather want a
minimal fix for _PyUnicode_IsWhitespace. So here one is.
msg83925 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2009-03-21 09:40
You may not know it, but these functions are generated from the Unicode
database. 

However, because these functions need to be fast and are small enough,
they were not converted to the unicodetype_db approach and instead left
as they were originally implemented: as switch statements for the
compilers to optimize.

Is there any reason why this would need to change for Unicode 5.0 ?
msg102086 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-04-01 11:58
Fixed with #1571184.
History
Date User Action Args
2010-04-01 11:58:25floxsetstatus: open -> closed

superseder: Generate numeric/space/linebreak from Unicode database.

nosy: + flox
messages: + msg102086
resolution: duplicate
stage: patch review -> resolved
2009-03-21 09:40:08lemburgsetnosy: + lemburg
messages: + msg83925
2009-03-21 03:38:54ajaksu2setstage: patch review
type: enhancement
versions: + Python 3.1, Python 2.7, - Python 2.5
2006-06-01 15:21:35anderschcreate